/*
 * Copyright (C) 2010,2011, Liyuan Li
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * @fileoverview 工具类
 *
 * @author <a href="http://vanessa.b3log.org">Liyuan Li</a>
 * @author <a href="http://88250.b3log.org">Liang Ding</a>
 * @version 0.1.0.0, Jan 18, 2020
 */

(function (a) {
  var b = function () {}
  a.extend(b.prototype, {
    bowknot: {version: '0.0.0.9', author: 'v@b3log.org'},
    getDate: function (a, b) {
      var c = new Date(a)
      var d = c.getFullYear().toString().substr(2, 2), e = c.getMonth() + 1,
        f = c.getDate(), g = c.getHours(), h = c.getSeconds(),
        i = c.getMinutes()
      switch (b) {
        case undefined:
          return e + '/' + f + '/' + d
          break
        case 1:
          return e + '/' + f + '/' + d + ' ' + g + ':' + i + ':' + h
          break
        default:
          return false
          break
      }
    },
  })
  a.bowknot = new b
})($);

(function ($) {
  $.fn.extend({paginate: {version: '0.0.0.8', author: 'v@b3log.org'}})
  var dpuuid = new Date().getTime()
  var PROP_NAME = 'paginate'
  var Paginate = function () {
    this._defaults = {
      'styleClass': {
        'pageCountClass': 'paginate-pageCount',
        'goPageClass': 'paginate-goPage',
        'inputPageClass': 'paginate-inputPage',
        'goPageHoverClass': 'paginate-goPageHover',
        'prePageClass': 'paginate-prePage',
        'nextPageClass': 'paginate-nextPage',
        'prePageDisableClass': 'paginate-prePageDisable',
        'nextPageDisableClass': 'paginate-nextPageDisable',
        'prePageHoverClass': 'paginate-prePageHover',
        'nextPageHoverClass': 'paginate-nextPageHover',
        'paginateClass': 'paginate-paginate',
      },
    }
  }
  $.extend(Paginate.prototype, {
    _attach: function (target, settings) {
      if (!target.id) {
        this.uuid++
        target.id = 'dp' + this.uuid
      }
      var inst = this._newInst($(target))
      inst.settings = $.extend({'errorMessage': 'input error!'},
        settings || {})
      $.data(target, PROP_NAME, inst)
      this._init(target)
    },
    _newInst: function (target) {
      var id = target[0].id.replace(/([^A-Za-z0-9_])/g, '\\\\$1')
      return {id: id}
    },
    _getInst: function (target) {
      try {
        return $.data(target, PROP_NAME)
      } catch (err) {throw'Missing instance data for this paginate'}
    },
    _init: function (target) {
      var inst = this._getInst(target)
      var id = inst.id, settings = inst.settings
      $('#' + id).
        html('<div id=\'' + id + 'Paginate\' class=\'' +
          this._getDefaults($.paginate._defaults, settings,
            'styleClass').paginateClass + '\'></div>')
      this._build(target)
    },
    _build: function (target) {
      var inst = this._getInst(target)
      var id = inst.id, settings = inst.settings
      var styleClass = this._getDefaults(this._defaults, settings,
        'styleClass'), pageCount = settings.pageCount,
        currentPage = settings.currentPage
      var prePageHTML = '<$tagStart class=\'button paginate-page\'>                <span class=\'button-left\'></span>                <span class=\'button-bg\'>' +
        settings.previousPageText +
        '</span>                <span class=\'button-right\'></span>            </$tagEnd>',
        nextPageHTML = '<$tagStart class=\'button paginate-page\'>                <span class=\'button-left\'></span>                <span class=\'button-bg\'>' +
          settings.nextPageText +
          '</span>                <span class=\'button-right\'></span>            </$tagEnd>',
        pagesHTML = '',
        pageCountHTML = '<span class=\'' + styleClass.pageCountClass + '\'>' +
          currentPage + '/' + pageCount + '</span>',
        goToPageHTML = '<div class=\'button\'>                <span class=\'button-left\'></span>                <span class=\'button-bg\'>                    <input class=\'' +
          styleClass.inputPageClass + '\' id=\'' + id +
          'PaginateInput\'/>                </span>                <span class=\'button-right\'></span>            </div>            <a href=\'javascript:void(0);\' class=\'button\' id=\'' +
          id +
          'PaginateSubmit\'>                <span class=\'button-left\'></span>                <span class=\'button-bg\'>' +
          settings.goText +
          '</span>                <span class=\'button-right\'></span>            </a>'
      if (currentPage === 1 || currentPage === 0) {
        prePageHTML = prePageHTML.replace('$tagStart', 'div').
          replace('$tagEnd', 'div')
      } else {
        prePageHTML = prePageHTML.replace('$tagStart',
          'a href=\'javascript:void(0)\'').replace('$tagEnd', 'a')
      }
      if (currentPage !== pageCount) {
        nextPageHTML = nextPageHTML.replace('$tagStart',
          'a href=\'javascript:void(0)\'').replace('$tagEnd', 'a')
      } else {
        nextPageHTML = nextPageHTML.replace('$tagStart', 'div').
          replace('$tagEnd', 'div')
      }
      switch (settings.type) {
        case'taobao':
          var pages = this._getTaobaoPages(currentPage, pageCount),
            currentClass = ''
          goToPageHTML = ''
          for (var i = 0; i < pages.length; i++) {
            if (currentPage ===
              pages[i].pageNum) {currentClass = ' pagination-current-page'} else {currentClass = ''}
            pagesHTML += '<span data-page=\'' + pages[i].pageNum +
              '\' class=\'pagination-pages' + currentClass + '\'>' +
              pages[i].text + '</span>'
          }
          break
        case'custom':
          var pages = settings.custom, currentClass = ''
          for (var i = 0; i < pages.length; i++) {
            if (currentPage ===
              pages[i]) {currentClass = ' pagination-current-page'} else {currentClass = ''}
            pagesHTML += '<span data-page=\'' + pages[i] +
              '\' class=\'pagination-pages' + currentClass + '\'>' + pages[i] +
              '</span>'
          }
          break
        default:
          break
      }
      if (pageCount === 1) {
        $('#' + id + 'Paginate').
          html(pageCountHTML)
      } else {
        $('#' + id + 'Paginate').
          html(prePageHTML + pagesHTML + nextPageHTML + pageCountHTML +
            goToPageHTML)
      }
      this._bindEvent(target)
    },
    _getTaobaoPages: function (currentPage, pageCount) {
      var pagination = [], i = 2, len = 4, begin = 3, end = 0, maxEnd = 0,
        pre = 0
      if (currentPage >= len) {
        begin = currentPage - Math.ceil(len / 2)
        maxEnd = currentPage + Math.ceil(len / 2) + 1
        if (maxEnd < pageCount) {end = maxEnd} else {end = pageCount}
      } else if (currentPage < len) {
        maxEnd = currentPage + Math.ceil(len / 2) + 1
        if (maxEnd < pageCount) {end = maxEnd} else {end = pageCount}
      }
      if (begin < 3) {begin = 3}
      for (i = begin; i <= end; i++) {
        pagination.push({'pageNum': i, 'text': i})
      }
      if (begin > 3) {
        pre = 2 + (begin - 2)
        pagination.unshift({'pageNum': pre, 'text': '...'})
      }
      if (pageCount < 2) {i = (currentPage === 0) ? 0 : 1} else {i = 2}
      for (; i >= 1; i = i - 1) {pagination.unshift({'pageNum': i, 'text': i})}
      if (end < pageCount) {
        pre = end + Math.ceil(len / 2)
        if (pre > pageCount) {pre = pageCount}
        pagination.push({'pageNum': pre, 'text': '...'})
      }
      return pagination
    },
    _bindEvent: function (target) {
      var inst = this._getInst(target)
      var id = inst.id
      $('#' + id + 'PaginateInput').
        bind('keypress', {target: target}, function (event) {
          if (event.keyCode === 13) {$.paginate._goToPageAction(event)}
        })
      $('#' + id + 'Paginate .pagination-pages').
        bind('click', {target: target, isPage: true},
          function (event) {$.paginate._goToPageAction(event)})
      $('#' + id + 'PaginateSubmit').
        bind('click', {target: target}, this._goToPageAction)
      $('#' + id + 'Paginate a.paginate-page').
        bind('click', {target: target, isPage: true},
          function (event) {$.paginate._goToPageAction(event)})
    },
    _goToPageAction: function (event) {
      var target = event.data.target
      var inst = $.paginate._getInst(target)
      var id = inst.id, settings = inst.settings
      var currentPage = $('#' + id + 'PaginateInput').val()
      if (event.data.isPage) {
        currentPage = settings.currentPage
        var text = $(event.target).closest('a').text()
        if ($.trim(text) ===
          settings.previousPageText) {currentPage--} else if ($.trim(text) ===
          settings.nextPageText) {currentPage++} else {
          currentPage = parseInt($(event.target).data('page'))
        }
      }
      if (settings.currentPage === currentPage) {return}
      var r = /^[0-9]*[1-9][0-9]*$/
      if (currentPage > 0 && currentPage <= settings.pageCount &&
        r.test(currentPage)) {settings.bind(currentPage)} else {
        settings.bind(currentPage, settings.errorMessage)
        $('#' + id + 'PaginateInput').val('')
      }
    },
    _updatePaginate: function (target, updateSettings) {
      if (updateSettings) {
        $.extend(this._getInst(target).settings, updateSettings)
      }
      this._build(target)
    },
    _getDefaults: function (defaults, settings, key) {
      if (key === 'styleClass') {
        if (settings.theme === 'default' || settings.theme ===
          undefined) {return defaults.styleClass}
        settings.styleClass = {}
        for (var styleName in defaults[key]) {
          settings.styleClass[styleName] = settings.theme + '-' +
            defaults.styleClass[styleName]
        }
      } else if ((key === 'height' && settings[key] !== 'auto') || key ===
        'width') {
        if (settings[key] === null || settings[key] ===
          undefined) {return defaults[key] + 'px'} else {
          return settings[key] + 'px'
        }
      } else {
        if (settings[key] === null || settings[key] ===
          undefined) {return defaults[key]}
      }
      return settings[key]
    },
    _destroyPaginate: function () {},
  })
  $.fn.paginate = function (options) {
    var otherArgs = Array.prototype.slice.call(arguments)
    if (typeof options === 'string') {
      otherArgs.shift()
      return $.paginate['_' + options + 'Paginate'].apply($.paginate,
        [this[0]].concat(otherArgs))
    }
    return this.each(function () {$.paginate._attach(this, options)})
  }
  $.paginate = new Paginate()
  window['DP_jQuery_' + dpuuid] = $
})($);
(function ($) {
  $.fn.extend({table: {version: '0.0.1.0', author: 'v@b3log.org'}})
  var n = new Date().getTime()
  var o = 'table'
  var p = function () {
    this._defaults = {
      'styleClass': {
        'lineSelectedClass': 'table-lineSelected',
        'mainClass': 'table-main',
        'bodyClass': 'table-body',
        'headerClass': 'table-header',
        'lineHoverClass': 'table-lineHover',
        'sortClass': 'table-sort',
        'sortASCClass': 'table-sortASC',
        'sortDESCClass': 'table-sortDESC',
        'sortUnASCClass': 'table-sortUnactiveASC',
        'sortUnDESCClass': 'table-sortUnactiveDESC',
        'oddRowClass': 'table-oddRow',
        'evenRowClass': 'table-evenRow',
        'subTitleClass': 'table-subTitle',
        'subTitleHoverClass': 'table-subTitleHover',
        'subTitleShowClass': 'table-subTitleShow',
        'subTitleHideClass': 'table-subTitleHide',
        'expendRowClass': 'table-expendRow',
        'hasExpendClass': 'table-hasExpend',
      },
    }
  }
  $.extend(p.prototype, {
    _attach: function (a, b) {
      if (!a.id) {
        this.uuid++
        a.id = 'dp' + this.uuid
      }
      var c = this._newInst($(a))
      c.settings = $.extend(
        {length: 0, noDataTip: 'no data!', selectedRows: []}, b || {})
      $.data(a, o, c)
      this._init(a)
    },
    _newInst: function (a) {
      var b = a[0].id.replace(/([^A-Za-z0-9_])/g, '\\\\$1')
      return {id: b}
    },
    _getInst: function (a) {
      try {
        return $.data(a, o)
      } catch (err) {throw'Missing instance data for this table'}
    },
    _init: function (a) {
      var b = this._getInst(a), settings = b.settings
      $(a).
        html('<div class=\'' +
          this._getDefaults(this._defaults, settings, 'styleClass').mainClass +
          '\' id=\'' + b.id + 'Table\'></div>')
      this._build(a)
    },
    _build: function (a) {
      var b = this._getInst(a), settings = b.settings
      var c = b.id
      var d = this._getDefaults(this._defaults, settings, 'styleClass')
      var e = '<div id=\'' + c + 'TableHeader\' class=\'' + d.headerClass +
        '\'></div>' + '<div id=\'' + c + 'TableMain\' class=\'' + d.bodyClass +
        '\' style=\'height:' +
        (settings.height ? settings.height + 'px' : 'auto') + '\'></div>'
      $('#' + c + 'Table').html(e)
      this._buildHeader(a)
      if (settings.data) {
        this._buildBody(a)
        this._bindEvent(a)
      }
    },
    _buildHeader: function (a) {
      var b = this._getInst(a).settings
      var c = b.colModel, id = this._getInst(a).id,
        headerHTML = '<table cellpadding=\'0\' cellspacing=\'0\' style=\'width:100%\'><tr>'
      for (var i = 0; i < c.length; i++) {
        var d = id + '_' + c[i].index
        if (c[i].minWidth) {
          headerHTML += '<th style=\'min-width:' + c[i].minWidth + 'px;\'>'
        } else {headerHTML += '<th style=\'width:' + c[i].width + 'px;\'>'}
        if (c[i].type === 'checkbox') {
          if (c[i].isLabel) {headerHTML += c[i].text} else {
            headerHTML += '<input id=\'' + d + '\' onclick="DP_jQuery_' + n +
              '.table._selectHeaderCheckbox(this);" type=\'checkbox\'/></th>'
          }
        } else {
          headerHTML += '<span id=\'' + d + '\'>' + c[i].text
            ? c[i].text
            : '' + '</span></th>'
        }
      }
      $('#' + id + 'TableHeader').html(headerHTML + '</tr></table>')
    },
    _buildBody: function (a) {
      var b = this._getInst(a).id, settings = this._getInst(a).settings,
        data = settings.data
      var c = this._getDefaults(this._defaults, settings, 'styleClass'),
        bodyHTML = ''
      for (var d = 0; d < data.length; d++) {
        if (data[d].groupName !== 'all') {
          bodyHTML += '<div  id=\'' + b + 'SubTitle' + d + '\'class=\'' +
            c.subTitleClass + '\'><div class=\'fn__left ' +
            c.subTitleShowClass +
            '\'></div><div class=\'fn__left\'>' + data[d].groupName +
            '</div><div class=\'clear\'></div></div>'
        }
        bodyHTML += '<table id=' + b + 'SubTable' + d +
          ' style=\'width:100%;\' cellpadding=\'0\' cellspacing=\'0\'>' +
          this._buildData(a, data[d].groupData, d) + '</table>'
      }
      $('#' + b + 'TableMain').html(bodyHTML)
    },
    _buildData: function (a, b, c) {
      var d = this._getInst(a).id, settings = this._getInst(a).settings
      var e = settings.colModel,
        styleClass = this._getDefaults(this._defaults, settings, 'styleClass')
      var f = ''
      for (var i = 0; i < b.length; i++) {
        var g = b[i], tBodyHTML = '<tbody class=\'$CLASS\'>', trHTML = '<tr>',
          rowClass = styleClass.oddRowClass
        if (i % 2 === 1) {rowClass = styleClass.evenRowClass}
        if (settings.expendRow) {
          trHTML = '<tr class="' + styleClass.hasExpendClass + '">'
        }
        g.uuuid = settings.length++
        for (var j = 0; j < e.length; j++) {
          var h = e[j].index
          var k = g[h],
            styleHTML = e[j].align ? 'text-align:' + e[j].align + ';' : ''
          if (k === undefined || k === null || $.trim(k) === '') {k = '&nbsp;'}
          if (i === 0) {
            if (e[j].minWidth) {
              styleHTML += 'min-width:' + e[j].minWidth + 'px;'
            } else {styleHTML += 'width:' + e[j].width + 'px;'}
          }
          trHTML += '<td style=\'' + styleHTML + '\'>'
          if (e[j].type) {
            var l = '', isCheckedHTML = '', isDisabledHTML = '',
              inputId = d + '_' + h + '_' + c + '_' + i
            if (g[h].value) {
              isCheckedHTML = 'checked=\'checked\''
              tBodyHTML = tBodyHTML.replace('$CLASS',
                styleClass.lineSelectedClass + ' ' + rowClass)
              settings.selectedRows.push(g)
            }
            if (g[h].disabled) {isDisabledHTML = 'disabled=\'disabled\''}
            l = '<input name=\'' + d + '_' + h + '\' id=\'' + inputId +
              '\' type=\'' + e[j].type + '\' onclick="DP_jQuery_' + n +
              '.table._selectCheckbox(this);" ' + isCheckedHTML + ' ' +
              isDisabledHTML + '/>'
            k = l
          }
          if (e[j].style) {
            k = '<div style=\'' + e[j].style + '\'>' + k + '</div>'
          }
          trHTML += k + '</td>'
        }
        f += tBodyHTML.replace('$CLASS', rowClass) + trHTML + '</tr>'
        if (settings.expendRow) {
          var m = g[settings.expendRow.index]
          if (m === undefined) {m = ''}
          f += '<tr class=\'fn__none ' + styleClass.expendRowClass + ' ' +
            rowClass + '\'><td colspan=\'' + e.length + '\'>' + m + '</td></tr>'
        }
        f += '</tbody>'
      }
      if (b.length === 0) {
        f = '<tbody><tr><td align=\'center\' colspan=\'' + e.length + '\'>' +
          settings.noDataTip + '</td></tr></tbody>'
      }
      return f
    },
    _bindEvent: function (b) {
      var c = this._getInst(b)
      var d = c.id, settings = c.settings, colModel = c.settings.colModel,
        styleClass = this._getDefaults(this._defaults, settings, 'styleClass'),
        data = settings.data
      for (var e = 0; e < data.length; e++) {
        if (data[0].groupName !== 'all') {
          $('#' + d + 'SubTitle' + e).
            click(function () {
              var a = $(this).find('div')[0]
              if (a.className.indexOf(styleClass.subTitleShowClass) != -1) {
                a.className = a.className.replace(styleClass.subTitleShowClass,
                  styleClass.subTitleHideClass)
                $(this).next().hide()
              } else {
                a.className = a.className.replace(styleClass.subTitleHideClass,
                  styleClass.subTitleShowClass)
                $(this).next().show()
              }
            }).
            mouseover(
              function () {this.className = styleClass.subTitleHoverClass}).
            mouseout(function () {this.className = styleClass.subTitleClass})
        }
        var f = settings.bind ? settings.bind : [],
          groupData = data[e].groupData
        for (var m = 0; m < groupData.length; m++) {
          var g = $($('#' + d + 'SubTable' + e + ' tbody')[m])
          for (var l = 0; l < f.length; l++) {
            g.bind(f[l].type, {'groupData': groupData[m], 'bindNum': l},
              function (a) {f[a.data.bindNum].action(a, a.data.groupData)})
          }
          g.mouseover(function () {
            if (!$(this).hasClass(styleClass.lineHoverClass)) {
              $('#' + d + ' tbody').
                each(function () {
                  $(this).removeClass(styleClass.lineHoverClass)
                  if ($(this).find('tr').length === 2) {
                    $(this).
                      find('tr')[1].style.display = 'none'
                  }
                })
              $(this).addClass(styleClass.lineHoverClass)
              if ($(this).find('tr').length === 2) {
                $(this).find('tr')[1].style.display = 'table-row'
              }
            }
          })
          for (var j = 0; j < colModel.length; j++) {
            if (colModel[j].bind) {
              var h = colModel[j].bind
              for (var i = 0; i < h.length; i++) {
                $(g.find('td')[j]).
                  bind(h[i].type,
                    {'groupData': groupData[m], 'bindNum': i, 'colNum': j},
                    function (a) {
                      colModel[a.data.colNum].bind[a.data.bindNum].action(a,
                        a.data.groupData)
                    })
              }
            }
          }
        }
      }
    },
    _selectHeaderCheckbox: function (a) {
      var b = a.id.split('_')[0], index = a.id.split('_')[1]
      var c = $('#' + b).data(o).settings
      var d = c.data,
        styleClass = this._getDefaults(this._defaults, c, 'styleClass')
      for (var i = 0; i < d.length; i++) {
        var e = d[i].groupData
        for (var j = 0; j < e.length; j++) {
          var f = $('#' + b + '_' + index + '_' + i + '_' + j)
          if (f.prop('disabled') === false) {
            if (a.checked) {
              c.selectedRows.push(e[j])
            } else {c.selectedRows.splice(j, 1)}
            f.prop('checked', a.checked)
          }
        }
      }
      if (a.checked) {
        $('#' + b + 'TableMain tbody').
          addClass(styleClass.lineSelectedClass)
      } else {
        $('#' + b + 'TableMain tbody').
          removeClass(styleClass.lineSelectedClass)
      }
      $.unique(c.selectedRows)
    },
    _selectCheckbox: function (a) {
      var b = a.id.split('_')[0], index = a.id.split('_')[1],
        groupNum = a.id.split('_')[2], rowNum = a.id.split('_')[3]
      var c = $('#' + b).data(o).settings
      var d = c.data,
        styleClass = this._getDefaults(this._defaults, c, 'styleClass'),
        $checkbox = $('#' + b + '_' + index),
        $row = $($('#' + b + 'SubTable' + groupNum + ' tbody')[rowNum])
      if (a.checked) {
        $row.addClass(styleClass.lineSelectedClass)
        c.selectedRows.push(d[groupNum].groupData[rowNum])
      } else {
        $row.removeClass(styleClass.lineSelectedClass)
        for (var j in c.selectedRows) {
          if (c.selectedRows[j].uuuid ===
            d[groupNum].groupData[rowNum].uuuid) {c.selectedRows.splice(j, 1)}
        }
      }
      if (c.selectedRows.length === c.length) {
        $checkbox.prop('checked', true)
      } else {$checkbox.prop('checked', false)}
    },
    _getRow: function (a, b, c) {
      var d = {}
      for (var e in b) {
        var f = b[e].groupData
        for (var g in f) {
          if (c === f[g].uuuid) {
            d.data = f[g]
            d.$row = $($('#' + a + 'SubTable' + e + ' tbody')[g])
          }
        }
      }
      return d
    },
    _getDefaults: function (a, b, c) {
      if (c === 'styleClass') {
        if (b.theme === 'default' || b.theme ===
          undefined) {return a.styleClass}
        b.styleClass = {}
        for (var d in a[c]) {b.styleClass[d] = b.theme + '-' + a.styleClass[d]}
      } else {if (b[c] === null || b[c] === undefined) {return a[c]}}
      return b[c]
    },
    _strToInt: function (a) {
      if (!a) {return false}
      return parseInt(a.substring(0, a.length - 2))
    },
    _updateTable: function (a, b, c) {
      var d = this._getInst(a)
      var e = d.id, settings = d.settings
      if (!c) {
        if (b.height) {
          var f = b.height
          $('#' + e + 'TableMain').height(f)
          settings.height = f
        } else {
          settings.data = b.data
          this._build(a)
        }
      } else {
        var g = settings.data, colModel = settings.colModel
        var h = this._getRow(e, g, b)
        $.extend(h.data, c)
        for (var i = 0; i < colModel.length; i++) {
          if (colModel[i].type !== 'checkbox') {
            var j = colModel[i].index
            h.$row.find('td')[i].innerHTML = h.data[j] ? h.data[j] : '&nbsp;'
          }
        }
        if (settings.expendRow) {
          $(h.$row.find('tr')[1]).
            find('td').
            html(c[settings.expendRow.index]
              ? c[settings.expendRow.index]
              : '&nbsp;')
        }
      }
    },
    _getRowsTable: function (a, b, c) {
      var d = this._getInst(a)
      var e = d.settings
      if (!b) {return e.selectedRows}
      var f = []
      for (var i = 0; i < e.data.length; i++) {
        var g = e.data[i].groupData
        for (var h in g) {if (g[h][b] === c) {f.push(g[h])}}
      }
      return f
    },
    _destroyTable: function (a) {
      var b = this._getInst(a)
      $.removeData(a, o)
      $('#' + b.id).remove()
    },
    _selectedTable: function (a, b) {
      var c = this._getInst(a)
      var d = c.id, settings = c.settings
      var e = c.settings.data,
        styleClass = this._getDefaults(this._defaults, settings, 'styleClass')
      for (var f in e) {
        var g = e[f].groupData
        for (var h in g) {
          if (b === g[h].uuuid) {
            settings.selectedRows.push(g[h])
            $.unique(settings.selectedRows)
            var i = $($('#' + d + 'SubTable' + f + ' tbody')[h])
            i.addClass(styleClass.lineSelectedClass)
            i.find('input').prop('checked', true)
          }
        }
      }
    },
    _unSelectedTable: function (a, b) {
      var c = this._getInst(a)
      var d = c.id, settings = c.settings
      var e = c.settings.data,
        styleClass = this._getDefaults(this._defaults, settings, 'styleClass')
      for (var f in e) {
        var g = e[f].groupData
        for (var h in g) {
          if (b === g[h].uuuid) {
            var j = settings.selectedRows
            for (var i = 0; i < j.length; i++) {
              if (j[i].uuuid === b) {
                j.splice(i, 1)
              }
            }
            var k = $($('#' + d + 'SubTable' + f + ' tbody')[h])
            k.removeClass(styleClass.lineSelectedClass)
            k.find('input').prop('checked', false)
          }
        }
      }
    },
  })
  $.fn.table = function (a) {
    var b = Array.prototype.slice.call(arguments)
    if (typeof a === 'string') {
      b.shift()
      return $.table['_' + a + 'Table'].apply($.table, [this[0]].concat(b))
    }
    return this.each(function () {$.table._attach(this, a)})
  }
  $.table = new p()
  window['DP_jQuery_' + n] = $
})($);
(function ($) {
  $.fn.extend({dialog: {version: '0.0.1.7', author: 'v@b3log.org'}})
  var dpuuid = new Date().getTime()
  var PROP_NAME = 'dialog'
  var Dialog = function () {
    this._defaults = {
      'styleClass': {
        'background': 'dialog-background',
        'panel': 'dialog-panel',
        'main': 'dialog-main',
        'footer': 'dialog-footer',
        'headerMiddle': 'dialog-header-middle',
        'headerBg': 'dialog-header-bg',
        'closeIcon': 'icon-close',
        'closeIconHover': 'dialog-close-icon-hover',
        'title': 'dialog-title',
      },
    }
  }
  $.extend(Dialog.prototype, {
    _attach: function (target, settings) {
      if (!target.id) {
        this.uuid++
        target.id = 'dp' + this.uuid
      }
      var inst = this._newInst($(target))
      inst.settings = $.extend({}, settings || {})
      $.data(target, PROP_NAME, inst)
      this._init(target)
    },
    _newInst: function (target) {
      var id = target[0].id.replace(/([^A-Za-z0-9_])/g, '\\\\$1')
      return {id: id}
    },
    _getInst: function (target) {
      try {
        return $.data(target, PROP_NAME)
      } catch (err) {throw'Missing instance data for this dialog'}
    },
    _destroyDialog: function (target) {
      var inst = $.dialog._getInst(target)
      var id = inst.id
      $.removeData(target, PROP_NAME)
      $(target).prependTo('#' + id + 'Wrap').unwrap()
      $(target).removeAttr('style')
      var styleClass = this._getDefaults($.dialog._defaults, inst.settings,
        'styleClass')
      $('.' + styleClass.background).remove()
      $('#' + id + 'Dialog').remove()
    },
    _init: function (target) {
      var inst = this._getInst(target)
      var id = inst.id, settings = inst.settings
      var windowH = $(window).height(), windowW = $(window).width()
      var styleClass = this._getDefaults($.dialog._defaults, settings,
        'styleClass'),
        dialogH = settings.height ? settings.height : parseInt(windowH * 0.6),
        dialogW = settings.width ? settings.width : parseInt(windowW * 0.6)
      settings.title = settings.title ? settings.title : ''
      settings.okText = settings.okText ? settings.okText : 'Ok'
      settings.cancelText = settings.cancelText
        ? settings.cancelText
        : 'Cancel'
      var footerHTML = '',
        headerHTML = '<div class=\'' + styleClass.headerBg +
          '\'><div class=\'' +
          styleClass.title + '\'>' + settings.title +
          '</div><a href=\'javascript:void(0);\' class=\'' +
          styleClass.closeIcon +
          '\'></a></div>'
      if (!settings.hideFooter) {
        footerHTML = '<a href=\'javascript:void(0);\'>' + settings.okText +
          '</a><a href=\'javascript:void(0);\'>' + settings.cancelText + '</a>'
      }
      var dialogHTML = '<div id=\'' + id + 'Dialog\' class=\'' +
        styleClass.panel +
        '\' style=\'width: ' + (dialogW + 26) +
        'px;\' onselectstart=\'return false;\'>' + headerHTML +
        '<div class=\'' +
        styleClass.main + '\'><div style=\'overflow: auto; height: ' + dialogH +
        'px;\'></div><div class=\'' + styleClass.footer + '\'>' + footerHTML +
        '</div></div>'
      var bgHTML = ''
      if (settings.modal && $('.' + styleClass.background).length === 0) {
        var bgHeight = windowH < document.documentElement.scrollHeight
          ? document.documentElement.scrollHeight
          : windowH
        bgHTML = '<div style=\'height:' + bgHeight + 'px;\' class=\'' +
          styleClass.background + '\'></div>'
      }
      $('#' + id).wrap('<div id=\'' + id + 'Wrap\'></div>')
      var cloneObj = $(target).clone(true)
      $(target).remove()
      $('body').append(bgHTML + dialogHTML)
      $($('#' + id + 'Dialog .' + styleClass.main + ' div').get(0)).
        append(cloneObj)
      $(cloneObj).show()
      var top = '', left = '', $dialog = $('#' + id + 'Dialog')
      if (settings.position) {
        top = settings.position.top
        left = settings.position.left
      } else {
        top = parseInt((windowH - dialogH) / 2)
        left = parseInt((windowW - dialogW) / 2)
      }
      $dialog.css({'top': top + 'px', 'left': left + 'px'})
      $('#' + id + 'Dialog .' + styleClass.closeIcon).
        bind('click', function () {$.dialog._close(id, settings)})
      var $buttons = $('#' + id + 'Dialog .' + styleClass.footer + ' a')
      $($buttons.get(1)).
        bind('click', function () {$.dialog._close(id, settings)})
      $($buttons.get(0)).
        bind('click', function () {
          if (settings.ok === undefined || settings.ok()) {
            $.dialog._close(id, settings)
          }
        })
      this._bindMove(id, styleClass.headerBg, dialogH, dialogW)
      $(window).
        keyup(function (event) {
          if (event.keyCode === 27) {
            $.dialog._close(id, settings)
          }
        })
    },
    _bindMove: function (id, className) {
      $('#' + id + 'Dialog .' + className).mousedown(function (event) {
        var _document = document
        if (!event) {event = window.event}
        var dialog = document.getElementById(id + 'Dialog')
        var x = event.clientX - parseInt(dialog.style.left),
          y = event.clientY - parseInt(dialog.style.top)
        _document.ondragstart = 'return false;'
        _document.onselectstart = 'return false;'
        _document.onselect = 'document.selection.empty();'
        if (this.setCapture) {this.setCapture()} else if (window.captureEvents) {
          window.captureEvents(Event.MOUSEMOVE | Event.MOUSEUP)
        }
        _document.onmousemove = function (event) {
          if (!event) {event = window.event}
          var positionX = event.clientX - x, positionY = event.clientY - y
          if (positionX < 0) {positionX = 0}
          if (positionX > $(window).width() - $(dialog).width()) {
            positionX = $(window).width() - $(dialog).width()
          }
          if (positionY < 0) {positionY = 0}
          if (positionY > $(window).height() - $(dialog).height()) {
            positionY = $(window).height() - $(dialog).height()
          }
          dialog.style.left = positionX + 'px'
          dialog.style.top = positionY + 'px'
        }
        _document.onmouseup = function () {
          if (this.releaseCapture) {this.releaseCapture()} else if (window.captureEvents) {
            window.captureEvents(Event.MOUSEMOVE | Event.MOUSEUP)
          }
          _document.onmousemove = null
          _document.onmouseup = null
          _document.ondragstart = null
          _document.onselectstart = null
          _document.onselect = null
        }
      })
    },
    _close: function (id, settings) {
      if ($('#' + id + 'Dialog').
        css('display') === 'none') {return}
      if (settings.close === undefined || settings.close()) {
        $('#' + id + 'Dialog').hide()
        if (settings.modal) {
          var styleClass = this._getDefaults($.dialog._defaults, settings,
            'styleClass')
          $('.' + styleClass.background).hide()
        }
      }
    },
    _closeDialog: function (target) {
      var inst = this._getInst(target)
      var id = inst.id, settings = inst.settings
      $.dialog._close(id, settings)
    },
    _openDialog: function (target) {
      var inst = this._getInst(target)
      var id = inst.id, settings = inst.settings
      $('#' + id + 'Dialog').show()
      if (settings.modal) {
        var styleClass = this._getDefaults($.dialog._defaults, settings,
          'styleClass')
        $('.' + styleClass.background).show()
      }
    },
    _updateDialog: function (target, data) {
      var inst = this._getInst(target)
      var id = inst.id, settings = inst.settings
      var styleClass = this._getDefaults($.dialog._defaults, settings,
        'styleClass')
      $.extend(settings, data)
      var $dialog = $('#' + id + 'Dialog')
      if (data.position) {
        $dialog.css({'top': data.position.top, 'left': data.position.left})
      }
      if (data.width) {
        $dialog.width(data.width + 26)
        $dialog.find(
          '.' + styleClass.main + ' div')[0].style.width = data.width + 'px'
        $dialog.find('.' + styleClass.headerBg).width(data.width + 18)
      }
      if (data.height) {
        $dialog.find(
          '.' + styleClass.main + ' div')[0].style.height = data.height + 'px'
      }
      if (data.title) {$dialog.find('.' + styleClass.title).html(data.title)}
      if (data.modal !== undefined) {
        if (data.modal) {
          $('.' + styleClass.background).show()
        } else {$('.' + styleClass.background).hide()}
      }
      if (data.hideFooter !== undefined) {
        if (data.hideFooter) {
          $dialog.find('.' + styleClass.footer).hide()
        } else {$dialog.find('.' + styleClass.footer).show()}
      }
    },
    _getDefaults: function (defaults, settings, key) {
      if (key === 'styleClass') {
        if (settings.theme === 'default' || settings.theme ===
          undefined) {return defaults.styleClass}
        settings.styleClass = {}
        for (var styleName in defaults[key]) {
          settings.styleClass[styleName] = settings.theme + '-' +
            defaults.styleClass[styleName]
        }
      } else if (key === 'height' || key === 'width') {
        if (settings[key] === null || settings[key] ===
          undefined) {return 'auto'} else {return settings[key] + 'px'}
      } else {
        if (settings[key] === null || settings[key] ===
          undefined) {return defaults[key]}
      }
      return settings[key]
    },
  })
  $.fn.dialog = function (options) {
    var otherArgs = Array.prototype.slice.call(arguments)
    if (typeof options === 'string') {
      otherArgs.shift()
      return $.dialog['_' + options + 'Dialog'].apply($.dialog,
        [this[0]].concat(otherArgs))
    }
    return this.each(function () {$.dialog._attach(this, options)})
  }
  $.dialog = new Dialog()
  window['DP_jQuery_' + dpuuid] = $
})($)
!function (e) {
  var t = (new Date).getTime(), n = 'completed', a = function () {
    this._defaults = {
      styleClass: {
        panelClass: 'completed-panel',
        inputClass: 'completed-input',
        ckClass: 'completed-ck',
      }, separator: ',',
    }, this._settingsDataFormat = {}
  }
  e.extend(a.prototype, {
    _attach: function (t, a) {
      t.id || (this.uuid++, t.id = 'dp' + this.uuid)
      var s = this._newInst(e(t))
      s.settings = e.extend({buttonText: '选择'}, a || {}), e.data(t, n,
        s), this._init(t)
    },
    _newInst: function (e) {
      var t = e[0].id.replace(/([^A-Za-z0-9_])/g, '\\\\$1')
      return {id: t}
    },
    _getInst: function (t) {
      try {
        return e.data(t, n)
      } catch (a) {throw'Missing instance data for this completed'}
    },
    _destroyCompleted: function () {},
    _init: function (t) {
      var n = this._getInst(t), a = n.id, s = n.settings
      this._buildHTML(a, s), e(document).
        click(function (t) {
          t.target.id !== a && e('#' + a + 'SelectedPanel').hide()
        }), s.onlySelect || this._buildCheckboxPanel(a, s.data)
    },
    _buildHTML: function (t, n) {
      var a = n.height + 'px',
        s = this._getDefaults(e.completed._defaults, n, 'styleClass'),
        l = e('#' + t), i = ''
      n.onlySelect ||
      (i += '<button onclick="$(\'#' + t + 'CheckboxPanel\').toggle()">' +
        n.buttonText + '</button>'), i += '<div id=\'' + t +
        'SelectedPanel\' class=\'' + s.panelClass + '\' style=\'height:' + a +
        ';\'></div><div class=\'fn__none ' + s.ckClass + '\' id=\'' + t +
        'CheckboxPanel\'><div>', 'object' == typeof n.data &&
      n.data.sort(), l.after(i).
        bind('keyup', {settings: n}, this._keyupAction).
        bind('keydown',
          function (t) {n.chinese = t.keyCode, n.keydownVal = e(this).val()}).
        addClass(s.inputClass), n.tipNum = 0
    },
    _keyupAction: function (t) {
      var n = t.data.settings, a = e.completed._getCurrentWord(this, n)
      if ('' === a.currentWord || 27 === t.keyCode || 16 ===
        t.keyCode) return e('#' + this.id + 'SelectedPanel').
        hide(), n.tipNum = 0, void (n.afterKeyup ? n.afterKeyup(t) : '')
      var s = e.completed._getMatchData(n.data, this.value, a.currentWord)
      if (38 === t.keyCode &&
      (n.tipNum > 0 ? n.tipNum-- : n.tipNum = s.length - 1), 40 === t.keyCode &&
      (n.tipNum < s.length - 1
        ? n.tipNum++
        : n.tipNum = 0), e.completed._buildSelectedPanel(this.id, s, n,
        a.currentWord), 13 === t.keyCode && s[n.tipNum] && 229 !== n.chinese) {
        var l = this.value
        this.value = l.substring(0, a.startPos) + s[n.tipNum] +
          l.substring(a.endPos, l.length), e('#' + this.id + 'SelectedPanel').
          hide(), n.chinese = void 0
      }
      38 !== t.keyCode && 40 !== t.keyCode && (n.tipNum = 0), n.afterKeyup
        ? n.afterKeyup(t)
        : ''
    },
    _getCurrentWord: function (t, n) {
      var a = e(t).val(), s = !0, l = 0, i = 0,
        o = e.completed._defaults.separator
      if ('' === a) return {currentWord: '', startPos: i, endPos: l}
      if (document.selection) try {
        var c = document.selection.createRange(), r = t.createTextRange()
        r.collapse(!0), r.select()
        var d = document.selection.createRange()
        d.setEndPoint('EndToEnd', c), n.curPos = d.text.length, c.select()
      } catch (u) {} else n.curPos = t.selectionStart
      for (var h = n.curPos, p = 0; p < a.length; p++) a.charAt(p) === o && p >=
      h && s && (l = p, s = !1)
      s === !0 && (s = !1, l = a.length)
      for (var m = l; m > -1; m--) a.charAt(m) === o && h > m && !s &&
      (i = m + 1, s = !0)
      return {currentWord: a.substring(i, l), startPos: i, endPos: l}
    },
    _getMatchData: function (t, n, a) {
      for (var s = n.split(e.completed._defaults.separator), l = [], i = 0; i <
      t.length; i++) if ('number' == typeof t[i] &&
      (t[i] = t[i].toString()), t[i].toLowerCase().indexOf(a.toLowerCase()) >
      -1) {
        for (var o = !0, c = 0; c < s.length; c++) t[i] === s[c].toString() &&
        t[i].toLowerCase() !== a.toLowerCase() && (o = !1)
        o && l.push(t[i])
      }
      return l
    },
    _mousemoveSelectPanel: function (t, n, a) {
      e(t).
        parent().
        find('a').
        removeClass('selected'), t.className = 'selected'
      var s = e.completed._getInst(document.getElementById(a))
      s.settings.tipNum = n
    },
    _buildSelectedPanel: function (t, n, a, s) {
      var l = e('#' + t + 'SelectedPanel')
      if (0 === n.length) return void l.html('').hide()
      a.tipNum >= n.length && (a.tipNum = 0)
      for (var i = '', o = 0; o < n.length; o++) {
        var c = '', r = n[o].replace(s, '<b>' + s + '</b>')
        a.tipNum === o &&
        (c = 'class=\'selected\''), i += '<a href=\'javascript:void(0);\'                                         onmousemove="$.completed._mousemoveSelectPanel(this, ' +
          o + ', \'' + t + '\');"                                        ' + c +
          '>' + r + '</a>'
      }
      l.html(i).show()
      var d = e('#' + t + 'SelectedPanel a.selected')
      d.position().top + l.scrollTop() > 50 - d.height() && l.scrollTop(
        d.position().top + l.scrollTop() + d.height() - 50), d.position().top <
      0 && l.scrollTop(l.scrollTop - d.height()), e(
        '#' + t + 'SelectedPanel a').
        click(function () {
          var n = document.getElementById(t),
            s = e.completed._getCurrentWord(document.getElementById(t), a),
            l = e.completed._getMatchData(a.data, n.value, s.currentWord),
            i = n.value
          n.value = i.substring(0, s.startPos) + l[a.tipNum] +
            i.substring(s.endPos, i.length), a.tipNum = 0, e(n).
            focus(), a.afterSelected ? a.afterSelected(e(this)) : ''
        })
    },
    _buildCheckboxPanel: function (t, n) {
      for (var a = '', s = e('#' + t), l = 0; l < n.length; l++) a += '<span>' +
        n[l] + '</span>'
      e('#' + t + 'CheckboxPanel').html(a + '<div class=\'clear\'></div>'), e(
        '#' + t + 'CheckboxPanel').
        on('click', 'span', function () {
          var e = s.val(), t = this.innerHTML
          if ('selected' === this.className) {
            this.className = ''
            var n = e.substr(e.indexOf(t) + t.length, 1)
            t === e || ',' !== n ? s.val(e.replace(t, '')) : s.val(
              e.replace(t + ',', ''))
          } else this.className = 'selected', '' === e.replace(/\s/g, '') ||
          ',' === e.substr(e.length - 1, 1) ? s.val(e + t) : s.val(e + ',' + t)
        }), this._matchChecked(t), s.blur(
        function () {e.completed._matchChecked(t)})
    },
    _matchChecked: function (t) {
      var n = e('#' + t).val().split(',')
      e('#' + t + 'CheckboxPanel span').
        removeClass().
        each(function () {
          for (var e = 0; e < n.length; e++) this.innerHTML === n[e] &&
          (this.className = 'selected')
        })
    },
    _updateDataCompleted: function (t, n, a) {
      var s = this._getInst(t), l = s.id, i = s.settings
      i.data = a, e.completed._buildSelectedPanel(l, a, i, e('#' + l).val())
    },
    _getDefaults: function (e, t, n) {
      if ('styleClass' === n) {
        if ('default' === t.theme || void 0 === t.theme) return e.styleClass
        t.styleClass = {}
        for (var a in e[n]) t.styleClass[a] = t.theme + '-' + e.styleClass[a]
      } else {
        if ('height' === n || 'width' === n) return null === t[n] || void 0 ===
        t[n] ? 'auto' : t[n] + 'px'
        if (null === t[n] || void 0 === t[n]) return e[n]
      }
      return t[n]
    },
  }), e.fn.completed = function (t) {
    var n = Array.prototype.slice.call(arguments)
    return this.each(function () {
      'string' == typeof t ? e.completed['_' + t + 'Completed'].apply(
        e.completed, [this].concat(n)) : e.completed._attach(this, t)
    })
  }, e.completed = new a, window['DP_jQuery_' + t] = e
}($);
(function ($) {
  $.fn.extend({tabs: {version: '0.0.1.9', author: 'v@b3log.org'}})
  var g = new Date().getTime()
  var h = 'tabs'
  var k = function () {}
  $.extend(k.prototype, {
    _attach: function (a, b) {
      if (!a.id) {
        this.uuid++
        a.id = 'dp' + this.uuid
      }
      var c = this._newInst($(a))
      c.settings = $.extend({length: 0}, b || {})
      $.data(a, h, c)
      this._init(a)
    },
    _newInst: function (a) {
      var b = a[0].id.replace(/([^A-Za-z0-9_])/g, '\\\\$1')
      return {id: b}
    },
    _getInst: function (a) {
      try {
        return $.data(a, h)
      } catch (err) {throw'Missing instance data for this tabs'}
    },
    _init: function (a) {
      var b = this._getInst(a)
      var c = b.settings, id = b.id
      var d = $(a).find('li')
      c.data = []
      for (var i = 0, j = 0; i < d.length; i++) {
        if (d[i].children[0].id) {
          c.data[j] = d[i].children[0].id.replace(id + '_', '')
          j++
        }
      }
    },
    _setCurrentTabs: function (a, b) {
      var c = this._getInst(a)
      var d = c.settings, id = c.id
      if ($('#' + id + '_' + b + ' a').hasClass('tab-current')) {return}
      var e = d.data
      for (var i = 0; i < e.length; i++) {
        var f = $('#' + id + 'Panel_' + e[i]), $tab = $('#' + id + '_' + e[i])
        if (b === e[i]) {
          f.show()
          $tab.find('a').addClass('tab-current')
        } else {
          f.hide()
          $tab.find('a').removeClass('tab-current')
        }
      }
    },
    _addTabs: function (a, b) {
      var c = this._getInst(a)
      var d = c.settings, id = c.id
      d.data.push(b.id)
      var e = ''
      if (b.hash) {
        e = '<a href=\'' + b.hash + '\'>' + b.text + '</a>'
      } else {e = '<span>' + b.text + '</span>'}
      $(b.target).
        before('<li><div id=\'' + id + '_' + b.id + '\'>' + e + '</div></li>')
      $('#' + id + 'Panel').
        append(
          '<div id=' + id + 'Panel_' + b.id + ' class=\'fn__none\'>' +
          b.content +
          '</div>')
    },
    _removeTabs: function (a, b) {
      var c = this._getInst(a)
      var d = c.settings.data, id = c.id
      for (var i = 0; i < d.length; i++) {if (d[i] === b) {d.splice(i, 1)}}
      $('#' + id + '_' + b).remove()
      $('#' + id + 'Pabel_' + b).remove()
    },
  })
  $.fn.tabs = function (a) {
    var b = Array.prototype.slice.call(arguments)
    if (typeof a === 'string') {
      b.shift()
      return $.tabs['_' + a + 'Tabs'].apply($.tabs, [this[0]].concat(b))
    }
    return this.each(function () {$.tabs._attach(this, a)})
  }
  $.tabs = new k()
  window['DP_jQuery_' + g] = $
})($)
